using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace WSBankOfRussia
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        private DataSet my_dataset;

        private void menuItemConnectBank_Click(object sender, EventArgs e)
        {
            int i;
            //DataSet my_dataset;
            DataRow row;

            string v_name, v_id;

            DailyInfoServ.DailyInfo dayinfo = new DailyInfoServ.DailyInfo();

            //Получаем список валют
            my_dataset = (DataSet)dayinfo.EnumValutes(false);

            DataTable tbl = my_dataset.Tables["EnumValutes"];
            listBox1.BeginUpdate();
            ArrayList ValutesNames = new ArrayList();

            // заполняем список валютами полученными с сервера
            for (i = 0; i < tbl.Rows.Count; i++)
            {
                row = tbl.Rows[i];
                v_id = (string)row.ItemArray.GetValue(0);
                v_id = v_id.Trim();
                v_name = (string)row.ItemArray.GetValue(1);
                v_name = v_name.Trim();
                ValutesNames.Add(new Valute(v_name, v_id));
            }

            listBox1.DataSource = ValutesNames;
            listBox1.DisplayMember = "ValuteName";
            listBox1.ValueMember = "ValuteCode";
            listBox1.EndUpdate();
            // устанавливаем валюту Доллар США как валюту по умолчанию
            listBox1.SelectedValue = "R01235";

            this.Text = "все данные получены";
        }

        public class Valute
        {
            private string str_ValuteCode;
            private string str_ValuteName;

            public Valute(string ValuteNameStr, string ValuteCodeStr)
            {

                this.str_ValuteCode = ValuteCodeStr;
                this.str_ValuteName = ValuteNameStr;
            }

            public string ValuteCode
            {
                get
                {
                    return str_ValuteCode;
                }
            }

            public string ValuteName
            {
                get
                {
                    return str_ValuteName;
                }
            }

            public override string ToString()
            {
                return this.str_ValuteName + " - " + this.str_ValuteCode;
            }
        }



    }
}